function::modname
Prev | Chapter 2. Context Functions | Next

## Name

function::modname — Return the kernel module name loaded at the address

## Synopsis

        modname:string(addr:long)

## Arguments

`addr`

  The address to map to a kernel module name

## Description

Returns the module name associated with the given address if known. If not known it will raise an error. If the address was not in a kernel module, but in the kernel itself, then the string “kernel” will be returned.

Prev | Up | Next
function::longlong_arg | Home | function::module_name